sciteproj(1)

NAME
SciteProj - a Project Manager for the SciTE editor

DESCRIPTION
SciteProj is a Project Manager for the SciTE editor - It is used to group a bunch of files into a project for easy access in SciTE giving the possibility to group files in folders, and saves the project to disc in XML format. It is based on the program ScitePM by Roy Wood. It uses the director interface of SciTE to communicate between SciTE and SciteProj.

OPTIONS

-s, --scite FILENAME
    Sets the filename for the instance of SciTE to open.

-v, --version
    Displays the version number of SciteProj

-g, --generate=XML_FILENAME
    Generate a sciteproj project file with the name FILENAME from the contents of the current folder. This option will not consider adding hidden files to the generated project.

-m, --max_depth=MAX_DEPTH
    Set maximum depth of folders to read through to MAX_DEPTH when generating project file.

-h, --help
    Display a short help

CONFIG FILE
The config file that SciteProj is using is named sciteprojrc, and is loaded from the directory that the glib function g_get_user_config_dir is returning. Normally this is ($HOME)/.config/ - If this file isn't found, sciteproj searches for the file .sciteproj located in the users $HOME directory. It is loaded on every program start. There is a menuitem in the program to open the file directly in SciTE for editing. If there isn't a .sciteproj in the user home when starting SciteProj, one will be created filled with default values. The following options are supported in the config file:

xpos, ypos, xsize and ysize
    Specifies the position and size of the program window on start

give_scite_focus
    Specifies wether SciTE shall get focus when opening a file from SciteProj (TRUE or FALSE)

dirty_on_folder_change
    Specifies wether SciteProj shall flag your project as dirty when you exapand or collapse a folder (TRUE or FALSE)

allow_duplicates
    Specifies wether several files with the same name should be allowed in one project (TRUE or FALSE)

identify_sciteproj_xml
    Specifies wether SciteProj shall try to recognize XML files saved by SciteProj (TRUE or FALSE)

search_xpos, search_ypos, search_width, search_height
    The position of the search dialog when opened. If any of these values are set to -1, a default will be selected.

search_match_case
    Should the search dialog check the Search match case option by default

search_match_whole_words
    Should the checkbutton Match whole words be checked in the search dialog by defualt

search_give_scite_focus
    Should the SciTE window be focused when double-clicking a search result in the search dialog?

search_file_alert_warning
    If the project contains filename that doesn't exist on disk, should SciteProj give a warning during search?

AUTHOR
SciteProj was written by Andreas Rönnquist <gusnan@gusnan.se>.